# ZITADEL ESLint Config

This package provides the ESLint configuration used by ZITADEL projects. It includes a set of rules and plugins to ensure consistent code quality and style across all ZITADEL codebases.

## Installation

To install the package, use npm or yarn:

```sh
npm install @zitadel/eslint-config
```

or

```sh
yarn add @zitadel/eslint-config
```

## Usage

To use the ESLint configuration in your project, extend it in your `.eslintrc` file:

```js
{
  "extends": "@zitadel/eslint-config"
}
```

## Documentation

For detailed documentation and configuration options, please refer to the [ESLint documentation](https://eslint.org/docs/user-guide/configuring).

## Contributing

Contributions are welcome! Please read the contributing guidelines before getting started.
